


<pre>
	<b>vessels</b>
		actual:
			[pip] python -m ensurepip --upgrade
			[pip] python -m pip install --upgrade pip
		
			[vessels] pip install vessels --upgrade
				
			[HA proxy] vessels HA-install-on-fedora
			# [HA proxy] vessels HA-build-papers
			
			#
			#	https://stackoverflow.com/questions/35917129/selinux-denying-haproxy-connections
			#
			[HA Proxy] setsebool -P haproxy_connect_any 1
			[HA Proxy] vessels HA-HTTPS-HTTP --to-port 53012 --workers 4
				#
				#	/etc/haproxy/haproxy.cfg
				#
				#
				#	dnf install lsof
				#	lsof -i tcp:80
				#
				#		https://superuser.com/questions/42843/finding-the-process-that-is-using-a-certain-port-in-linux
				#
				
	
			[gunicorn start]  gunicorn -w 4 service.flask_module:app --bind 0.0.0.0:53012 --pid gunicorn.process_ID --daemon
			[gunicorn stop]   vessels flask-gunicorn-stop
			[gunicorn status] ps -ax | grep python

			[UFW] dfn install ufw -y
			
			[certbot] certbot certonly --standalone --preferred-challenges http -m address@treasuryactivity.com -d treasuryactivity.com
			[certbot] cp /etc/letsencrypt/live/treasuryactivity.com/fullchain.pem /etc/haproxy/SSL/certificate.pem
			[certbot] cp /etc/letsencrypt/live/treasuryactivity.com/privkey.pem /etc/haproxy/SSL/certificate.pem.key
			
			[DNS]
		
		dev:
			[flask] 
		
			[gunicorn] gunicorn -w 4 flask_module:app --bind 127.0.0.1:53012 --reload
			
			
		<b>HA proxy</b>
			#
			# (cd /etc/haproxy/SSL && openssl req -x509 -newkey rsa:4096 -keyout certificate.pem.key -out certificate.pem -sha256 -days 20000 -nodes -subj "/C=/ST=/L=/O=/OU=/CN=")
			#
			import vessels.proxies.HA.install.Fedora as install_HA_proxy
			install_HA_proxy.charismatically ()
			
			import vessels.proxies.HA.configs.HTTPS_to_HTTP as HA_HTTPS_to_HTTP
			HA_HTTPS_to_HTTP.build (
				start = "yes",

				SSL_certificate_path = "/etc/haproxy/SSL/certificate.pem",
				config_path = "/etc/haproxy/haproxy.cfg",
				
				to_addresses = [
					"0.0.0.0:8000",
					"0.0.0.0:8000",
					"0.0.0.0:8000",
					"0.0.0.0:8000",
					"0.0.0.0:8000",
					"0.0.0.0:8000",
					"0.0.0.0:8000",
					"0.0.0.0:8000"
				]
			)
</pre>